# class TimeTicks |
Full name | `Snmp::TimeTicks`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TimeTicks ()
- TimeTicks (void* data, int len)
- ~TimeTicks ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- static const int tag_TimeTicks
- u_int32_t m_TimeTicks
- static const u_int32_t s_TimeTicksMinSize
- static const u_int32_t s_TimeTicksMaxSize

## Detailed Description

static const int s_type | ### s_type

static const int tag_TimeTicks | ### tag_TimeTicks

u_int32_t m_TimeTicks | ### m_TimeTicks

static const u_int32_t s_TimeTicksMinSize | ### s_TimeTicksMinSize

static const u_int32_t s_TimeTicksMaxSize | ### s_TimeTicksMaxSize

TimeTicks () | ### TimeTicks

TimeTicks (void* data, int len) | ### TimeTicks

~TimeTicks () | ### ~TimeTicks

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.